Bug 798379 - Customers can't deploy multiple datasources within his applications
Customers can't deploy multiple datasources within his applications
Status: CLOSED EOL
Product: JBoss Enterprise Application Platform 5
Classification: JBoss
Component: doc-Admin_and_Config_Guide (Show other bugs)
5.0.0,5.1.0,5.1.1,5.1.2
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Scott Mumford
Martin Simka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 13:45 EST by Vinicius
Modified: 2015-07-02 20:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-02 20:40:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinicius 2012-02-28 13:45:17 EST
If we try to pack multiple datasources within an application (esb, war, ear) our current JCA deployer implementation  raises the bellow exception, but our documentation doesn't provide any statement regarding this limitation:

Caused by: java.lang.IllegalArgumentException: Multiple matching files not allowed: [FileHandler@1861471639[path=<myaplication>.esb/<myds>-ds.xml context=file:$JBOSS_HOME/server/$CONFIGURATION/deployreal=file:$JBOSS_HOME/server/$CONFIGURATION/deploy/<myaplication>.esb/<myds>-ds.xml], FileHandler@1212067177[path=<myapplication>.esb/<myds>-ds.xml context=file:$JBOSS_HOME/server/$CONFIGURATION/deploy real=file:$JBOSS_HOME/server/$CONFIGURATION/deploy/<myaplication>.esb/<myds>-ds.xml]]

Actual results:

We don't have any official statement regarding datasources definition files limitation

Expected results:

We should declare if deploying multiple datasources files within applications are allowed or not
Comment 3 Russell Dickenson 2013-01-03 20:34:58 EST
Attention: Jesper

Are you able to confirm the information provided by James Livingstone, as per comment 2 above?
Comment 4 Jesper Pedersen 2013-01-04 07:40:29 EST
Documentation issue - e.g. not allowed
Comment 5 Scott Mumford 2013-01-22 16:48:23 EST
I've added a warning not to attempt to deploy multiple datasource files in the application's archive file.

The warning will appear in the next staged version of the Administration and Configuration Guide (v. 5.2.0-28 or later).
Comment 6 Martin Simka 2014-04-15 09:33:35 EDT
Revision 5.3.0-6 Chapter 17. Datasource Configuration -> Multiple Datasource Files

Sentence "Deploying multiple datasource files is not supported in EAP5.2.0" 
should not mention EAP5.2.0 directly, there is only one documentation for EAP 5. 

Proposal: EAP 5.x 

Rest of text is ok.
Comment 7 Scott Mumford 2014-05-01 01:16:47 EDT
Have removed the reference to 5.2.0 and used more generic '5' instead.

Update is available for review at:
http://documentation-devel.engineering.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/5/html-single/Administration_And_Configuration_Guide/index.html

(version 5.3.0-7 or later)

Note You need to log in before you can comment on or make changes to this bug.